QGIS Application - Bug report #9856

pyqgis cookbook documentation need updating (was setColorShadingAlgorithm missing for

QsgRasterLayer)

2014-03-24 10:30 AM - Nicola Stella

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18384
Description

In QGIS 2.2.0.

setColorShadingAlgorithm missing for QsgRasterLayer

History

#1 - 2014-03-24 11:34 AM - Etienne Tourigny

- Category set to Documentation and Help

- Subject changed from setColorShadingAlgorithm missing for QsgRasterLayer to pyqgis cookbook documentation need updating (was

setColorShadingAlgorithm missing for QsgRasterLayer)

This is not a bug, but a change in the API.

You should use setRendererForDrawingStyle() or setDrawingStyle()

Please see the API page for QgsRasterLayer for further details.

However, the pyqgis cookbook should be updated, as it refers to setColorShadingAlgorithm()

#2 - 2015-03-05 06:45 AM - Alexander Bruy
- Status changed from Open to Closed

Moved to GitHub issues, see https://github.com/qgis/QGIS-Documentation/issues/479
https://github.com/qgis/QGIS-Documentation/issues/479

